Bug 1005319 - SELinux is preventing /usr/libexec/dovecot/auth from 'search' accesses on the directory /root.
SELinux is preventing /usr/libexec/dovecot/auth from 'search' accesses on the...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d400abfac7da31ad1d5caeb7db3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 12:10 EDT by Jeff MacDonald
Modified: 2013-09-20 05:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 05:05:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff MacDonald 2013-09-06 12:10:59 EDT
Description of problem:
this happened right after logging into my account.

SELinux is preventing /usr/libexec/dovecot/auth from 'search' accesses on the directory /root.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that auth should be allowed search access on the root directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep auth /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dovecot_auth_t:s0
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        auth
Source Path                   /usr/libexec/dovecot/auth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dovecot-2.1.16-1.fc18.i686
Target RPM Packages           filesystem-3.1-2.fc18.i686
Policy RPM                    selinux-policy-3.11.1-100.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-100.fc18.i686 #1 SMP Thu
                              Aug 1 21:34:58 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-09-06 12:07:35 EDT
Last Seen                     2013-09-06 12:07:35 EDT
Local ID                      0cab9290-73b9-49a6-86d0-4a27f16e916c

Raw Audit Messages
type=AVC msg=audit(1378483655.292:228145): avc:  denied  { search } for  pid=17951 comm="auth" name="root" dev="dm-1" ino=1703937 scontext=system_u:system_r:dovecot_auth_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1378483655.292:228145): arch=i386 syscall=stat64 success=no exit=EACCES a0=bfa9403c a1=bfa93e9c a2=41f77000 a3=bfa9403c items=0 ppid=1267 pid=17951 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=auth exe=/usr/libexec/dovecot/auth subj=system_u:system_r:dovecot_auth_t:s0 key=(null)

Hash: auth,dovecot_auth_t,admin_home_t,dir,search

audit2allow

#============= dovecot_auth_t ==============
allow dovecot_auth_t admin_home_t:dir search;

audit2allow -R
require {
	type dovecot_auth_t;
}

#============= dovecot_auth_t ==============
userdom_search_admin_dir(dovecot_auth_t)


Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-100.fc18.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-09-09 13:47:19 EDT
Does it happen on every login? 

What does

# id -Z

after login?
Comment 2 Jeff MacDonald 2013-09-16 10:25:22 EDT
I do not log in very often. If the crash is consistent I will let you know.
Comment 3 Miroslav Grepl 2013-09-20 05:05:52 EDT
Ok, pls re-open if this happens again. Thank you.

Note You need to log in before you can comment on or make changes to this bug.